#!/bin/sh -e

if [ -x /bin/sbcl ] #Can we skip a bootstrap procedure?
   then lsp=sbcl
elif [ -x /bin/ecl ]
   then lsp=ecl
#else #Guess not.
#   if [ -x /bin/axel ]
#      then axel https://gitlab.com/embeddable-common-lisp/ecl/-/archive/develop/ecl-develop.tar.bz2
#   else
#      curl https://gitlab.com/embeddable-common-lisp/ecl/-/archive/develop/ecl-develop.tar.bz2 --output ecl-develop.tar.bz2
#   fi
#
#   tar xf ecl-develop.tar.bz2
#   mkdir tools
#   cd ecl-develop
#   ./configure --prefix="$PWD/../tools/"
#   make
#   make install
#   PATH="$PWD/../tools/bin/:$PATH"
#   lsp=ecl
#   cd ..
fi


./make.sh "${lsp}" --prefix="$1/usr" --fancy
./install.sh
